> For the complete documentation index, see [llms.txt](https://docs.flowretail.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flowretail.com/docs/developers/api-documentation/stock-info/get-stock-list-for-a-list-of-products-and-locations.md).

# Get stock list for a list of products and locations

Get product stock for one or several products. The result can be limited to only specific stores and warehouses.

Usage:

productUids OR productSkus is required. An error is returned if both fields are present in request.

storeUids OR warehouseUids is required. An error is returned if both fields are present in request.

Returns stock records for all warehouses in request or all warehouses for all stores in request.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"StockInfo","description":"StockInfo"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"parameters":{"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}},"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}}},"requestBodies":{"ProductSearchStockRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductSearchStockRequestSchema"}}}}},"schemas":{"ProductSearchStockRequestSchema":{"title":"ProductSearchStockRequestSchema","type":"object","properties":{"productUids":{"minItems":1,"type":"array","items":{"$ref":"#/components/schemas/UID"}},"productSkus":{"minItems":1,"type":"array","items":{"type":"string"}},"storeUids":{"minItems":1,"type":"array","items":{"$ref":"#/components/schemas/UID"}},"warehouseUids":{"minItems":1,"type":"array","items":{"$ref":"#/components/schemas/UID"}}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"ProductSearchStockDetailsSchema":{"description":"","properties":{"productUid":{"$ref":"#/components/schemas/UID"},"productName":{"type":"string"},"productSku":{"type":"string"},"totalQuantityReserved":{"type":"integer"},"totalQuantityStock":{"type":"integer"},"warehouseStockDetails":{"items":{"$ref":"#/components/schemas/WarehouseStockDetailsResponseSchema"},"type":"array"}},"required":["productUid","productSku","productName","totalQuantityStock","totalQuantityReserved","warehouseStockDetails"],"title":"ProductSearchStockDetailsSchema","type":"object"},"WarehouseStockDetailsResponseSchema":{"title":"WarehouseStockDetailsResponseSchema","type":"object","properties":{"locationLabel":{"type":"string"},"maxStockLevel":{"type":"integer"},"minStockLevel":{"type":"integer"},"quantityReserved":{"type":"integer"},"quantityStock":{"type":"integer"},"storeUid":{"$ref":"#/components/schemas/UID"},"storeName":{"type":"string"},"warehouseUid":{"$ref":"#/components/schemas/UID"},"warehouseName":{"type":"string"}},"required":["locationLabel","maxStockLevel","minStockLevel","quantityReserved","quantityStock","storeUid","storeName","warehouseUid","warehouseName"]},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"}},"responses":{"ProductSearchStockResponse":{"content":{"application/json":{"schema":{"properties":{"items":{"items":{"$ref":"#/components/schemas/ProductSearchStockDetailsSchema"},"type":"array"},"paging":{"$ref":"#/components/schemas/Paging"}},"required":["items","paging"],"type":"object"}}},"description":""}}},"paths":{"/tenants/{tenantUid}/products/stock":{"post":{"description":"Get product stock for one or several products. The result can be limited to only specific stores and warehouses.\n\nUsage:\n\n  productUids OR productSkus is required. An error is returned if both fields are present in request.\n\n  storeUids OR warehouseUids is required.  An error is returned if both fields are present in request.\n\n  Returns stock records for all warehouses in request or all warehouses for all stores in request.","operationId":"post-tenants-products-stock","parameters":[{"$ref":"#/components/parameters/pageNumberQuery"},{"$ref":"#/components/parameters/pageSizeQuery"}],"requestBody":{"$ref":"#/components/requestBodies/ProductSearchStockRequest"},"responses":{"200":{"$ref":"#/components/responses/ProductSearchStockResponse"}},"summary":"Get stock list for a list of products and locations","tags":["StockInfo"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.flowretail.com/docs/developers/api-documentation/stock-info/get-stock-list-for-a-list-of-products-and-locations.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
